## python-os-collect-config 12.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

anyjson>=0.3.3 # BSD
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
python-keystoneclient>=3.8.0 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0
python-zaqarclient>=1.0.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
iso8601>=0.1.11 # MIT
lxml!=3.7.0,>=3.4.1 # BSD
oslo.config>=5.2.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
six>=1.10.0 # MIT
dogpile.cache>=0.6.2 # BSD

## python-os-collect-config 0.1.15

=== debian/changelog ===
python-os-collect-config (0.1.15-2+7~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 26 Sep 2016 21:33:12 +0000

python-os-collect-config (0.1.15-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Reviewed (build-)depends.
  * Rewrote testr calls.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Apr 2014 23:44:47 +0800

python-os-collect-config (0.1.11-1) experimental; urgency=low

  * Initial release. (Closes: #732173)

 -- Thomas Goirand <zigo@debian.org>  Sun, 16 Mar 2014 16:14:56 +0800

=== debian/control ===
Source: python-os-collect-config
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.6),
               python-setuptools
Build-Depends-Indep: python-anyjson (>= 0.3.3),
                     python-coverage (>= 3.6),
                     python-eventlet (>= 0.13.0),
                     python-fixtures (>= 0.3.14),
                     python-hacking (>= 0.8.0),
                     python-iso8601 (>= 0.1.9),
                     python-keystoneclient (>= 1:0.7.0),
                     python-lxml,
                     python-oslo.config (>= 1.1.0),
                     python-requests (>= 1.1),
                     python-six (>= 1.5.2),
                     python-sphinx,
                     python-subunit (>= 0.0.18),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 0.9.34),
                     testrepository (>= 0.0.18),
                     subunit (>= 0.0.18)
Standards-Version: 3.9.5
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-os-collect-config?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-python-os-collect-config -b debian/newton
Homepage: https://github.com/openstack/os-collect-config

Package: python-os-collect-config
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-anyjson (>= 0.3.3),
         python-eventlet (>= 0.13.0),
         python-iso8601 (>= 0.1.9),
         python-keystoneclient (>= 1:0.7.0),
         python-lxml,
         python-oslo.config (>= 1.1.0),
         python-pbr (>= 0.6),
         python-requests (>= 1.1),
         python-six (>= 1.5.2),
         ${misc:Depends},
         ${python:Depends}
Recommends: ${python:Recommends}
Description: collect and cache metadata, run hooks on changes
 os-collect-config collects data from defined configuration sources and runs a
 defined hook whenever the metadata has changed. You must define what sources
 to collect configuration data from in os-collect-config configuration file at
 /etc/os-collect-config/sources.ini. These sources will be polled and whenever
 any of them changes, default.command will be run. A file will be written to
 the cache dir, os_config_files.json, which will be a json list of the file
 paths to the current copy of each metadata source. This list will also be set
 as a colon separated list in the environment variable OS_CONFIG_FILES for the
 command that is run.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/os-collect-config.git
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .testrepository

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	rm -rf .testrepository
	testr init
	set -e && \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) testr run --subunit | tee $$TEMP_REZ | subunit2pyunit || true ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats || true ; \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

## python-os-collect-config 10.3.0

=== debian/changelog ===
python-os-collect-config (10.3.0-2) unstable; urgency=medium

  * Add Breaks+Replaces: python-os-collect-config (Closes: #931849).

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Jul 2019 14:46:17 +0200

python-os-collect-config (10.3.0-1) unstable; urgency=medium

  * New upstream release:
    - Works with newer oslo.config (Closes: #931214).
  * Ran wrap-and-sort -bast.
  * Removed Mehdi and Julien from uploaders.
  * Switch to debhelper 11.
  * Switch to Python 3.
  * Fixed dependencies for this release.
  * Point VCS URLs to Salsa.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Jul 2019 22:15:59 +0200

=== debian/control ===
Source: python-os-collect-config
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 locales-all,
 python3-anyjson,
 python3-coverage,
 python3-dogpile.cache,
 python3-eventlet,
 python3-fixtures,
 python3-hacking,
 python3-heatclient,
 python3-iso8601,
 python3-keystoneclient,
 python3-lxml,
 python3-mock,
 python3-oslo.config,
 python3-oslo.log,
 python3-requests,
 python3-six,
 python3-stestr,
 python3-subunit,
 python3-testscenarios,
 python3-testtools,
 python3-zaqarclient,
 subunit,
Standards-Version: 4.1.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-collect-config
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-collect-config.git
Homepage: https://github.com/openstack/os-collect-config

Package: python3-os-collect-config
Architecture: all
Depends:
 locales-all,
 python3-anyjson,
 python3-dogpile.cache,
 python3-eventlet,
 python3-heatclient,
 python3-iso8601,
 python3-keystoneclient,
 python3-lxml,
 python3-oslo.config,
 python3-oslo.log,
 python3-pbr,
 python3-requests,
 python3-six,
 python3-zaqarclient,
 ${misc:Depends},
 ${python3:Depends},
Breaks: python-os-collect-config
Replaces: python-os-collect-config
Description: collect and cache metadata, run hooks on changes
 os-collect-config collects data from defined configuration sources and runs a
 defined hook whenever the metadata has changed. You must define what sources
 to collect configuration data from in os-collect-config configuration file at
 /etc/os-collect-config/sources.ini. These sources will be polled and whenever
 any of them changes, default.command will be run. A file will be written to
 the cache dir, os_config_files.json, which will be a json list of the file
 paths to the current copy of each metadata source. This list will also be set
 as a colon separated list in the environment variable OS_CONFIG_FILES for the
 command that is run.

## python-os-collect-config 10.4.0

=== debian/changelog ===
python-os-collect-config (10.4.0-2build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:16:59 +0100

python-os-collect-config (10.4.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add debian/python3-os-collect-config.install.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Oct 2019 10:48:33 +0200

python-os-collect-config (10.4.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.
  * d/control: Use team+openstack@tracker.debian.org as maintainer.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Sep 2019 09:54:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: python-os-collect-config
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -59,8 +59,10 @@
  python3-zaqarclient,
  ${misc:Depends},
  ${python3:Depends},
-Breaks: python-os-collect-config
-Replaces: python-os-collect-config
+Breaks:
+ python-os-collect-config,
+Replaces:
+ python-os-collect-config,
 Description: collect and cache metadata, run hooks on changes
  os-collect-config collects data from defined configuration sources and runs a
  defined hook whenever the metadata has changed. You must define what sources

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://github.com/openstack/os-collect-config.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf .stestr build
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

## python-os-collect-config 11.0.0

=== debian/changelog ===
python-os-collect-config (11.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Jun 2020 10:48:55 +0200

## python-os-collect-config 11.0.2

=== debian/changelog ===
python-os-collect-config (11.0.2-1~bpo10+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@buster-ussuri.infomaniak.ch>  Tue, 02 Feb 2021 09:21:39 +0000

python-os-collect-config (11.0.2-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 02 Feb 2021 10:10:09 +0100

python-os-collect-config (11.0.1-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 12 Oct 2020 12:41:58 +0200

## python-os-collect-config 12.0.0

=== debian/changelog ===
python-os-collect-config (12.0.0-2) unstable; urgency=medium

  * Add Rules-Requires-Root: no to avoid #1001961 (Closes: #1002439).

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Dec 2021 15:01:57 +0100

python-os-collect-config (12.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Jan 2021 10:46:56 +0100

=== debian/control ===
--- 
+++ 
@@ -39,6 +39,7 @@
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-collect-config
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-collect-config.git
 Homepage: https://github.com/openstack/os-collect-config
+Rules-Requires-Root: no
 
 Package: python3-os-collect-config
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -23,3 +23,6 @@
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	pkgos-dh_auto_test --no-py2
 endif
+
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3

## python-os-collect-config 13.1.0

=== requirements.txt ===
--- 
+++ 
@@ -3,15 +3,11 @@
 # process, which may cause wedges in the gate later.
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 
-anyjson>=0.3.3 # BSD
-eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
 python-keystoneclient>=3.8.0 # Apache-2.0
 python-heatclient>=1.10.0 # Apache-2.0
 python-zaqarclient>=1.0.0 # Apache-2.0
 requests>=2.14.2 # Apache-2.0
-iso8601>=0.1.11 # MIT
 lxml!=3.7.0,>=3.4.1 # BSD
 oslo.config>=5.2.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
-six>=1.10.0 # MIT
 dogpile.cache>=0.6.2 # BSD

=== debian/changelog ===
python-os-collect-config (13.1.0-5) unstable; urgency=medium

  * Fix syntax warning (Closes: #1086894).

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Jan 2025 13:33:53 +0100

python-os-collect-config (13.1.0-4) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090552).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 09:27:57 +0100

python-os-collect-config (13.1.0-3) unstable; urgency=medium

  * Removed extraneous dependency on python3-mock (Closes: #1071713).

 -- Thomas Goirand <zigo@debian.org>  Sun, 02 Jun 2024 13:51:02 +0200

python-os-collect-config (13.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 22:05:32 +0200

python-os-collect-config (13.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fix (b-)depends for this release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Aug 2023 10:18:41 +0200

=== debian/control ===
--- 
+++ 
@@ -14,21 +14,16 @@
  python3-sphinx,
 Build-Depends-Indep:
  locales-all,
- python3-anyjson,
  python3-coverage,
  python3-dogpile.cache,
- python3-eventlet,
  python3-fixtures,
  python3-hacking,
  python3-heatclient,
- python3-iso8601,
  python3-keystoneclient,
  python3-lxml,
- python3-mock,
  python3-oslo.config,
  python3-oslo.log,
  python3-requests,
- python3-six,
  python3-stestr,
  python3-subunit,
  python3-testscenarios,
@@ -45,18 +40,14 @@
 Architecture: all
 Depends:
  locales-all,
- python3-anyjson,
  python3-dogpile.cache,
- python3-eventlet,
  python3-heatclient,
- python3-iso8601,
  python3-keystoneclient,
  python3-lxml,
  python3-oslo.config,
  python3-oslo.log,
  python3-pbr,
  python3-requests,
- python3-six,
  python3-zaqarclient,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,10 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
-	rm -rf .stestr build
+	rm -rf .stestr build *.egg-info
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

## python-os-collect-config 14.0.1

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=2.0.0 # Apache-2.0

python-keystoneclient>=3.8.0 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0
python-zaqarclient>=1.0.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
lxml>=3.4.1 # BSD
oslo.config>=5.2.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
dogpile.cache>=0.6.2 # BSD

=== debian/changelog ===
python-os-collect-config (14.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Removed python3-testscenarios from build-depends.
  * Remnoved fix-syntax-warning.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 14:26:26 +0200

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,6 @@
  python3-requests,
  python3-stestr,
  python3-subunit,
- python3-testscenarios,
  python3-testtools,
  python3-zaqarclient,
  subunit,

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/o/os-collect-config os-collect-config-(.*).tar.gz
